Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class TabRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.html.DivPanelRenderer
                  org.richfaces.renderkit.html.TogglePanelItemRenderer
                      org.richfaces.renderkit.html.TabRenderer

    public class TabRenderer

extends TogglePanelItemRenderer

Since:
  2010-08-24
Author:
  akolonitsky

Constructor Summary
`TabRenderer()`

Method Summary
`protected static void` | `addOnCompleteParam(javax.faces.context.FacesContext context, java.lang.String newValue, java.lang.String panelId)`
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
`protected void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `doEncodeItemBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `doEncodeItemEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
`protected org.ajax4jsf.javascript.JSObject` | `getScriptObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.util.Map<java.lang.String,java.lang.Object>` | `getScriptObjectOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.String` | `getStyleClass(javax.faces.component.UIComponent component)`
`protected void` | `writeJavaScript(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.html.TogglePanelItemRenderer
`doEncodeBegin, doEncodeEnd, encodePlaceHolderWithJs, getRendersChildren, getStyle`

Methods inherited from class org.richfaces.renderkit.html.DivPanelRenderer
`attributeAsString, attributeAsString, attributeAsStyle, attributeAsStyle, capitalize, getPassThroughAttributes, styleElement`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, encodeBegin, encodeChildren, encodeEnd, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabRenderer

    public TabRenderer()

Method Detail

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Description copied from class: `RendererBase`
  Template method for custom decoding of concrete renderer. All parameters checking if performed in original `decode` method.

  Overrides:
    `doDecode` in class `RendererBase`

### addOnCompleteParam

    protected static void addOnCompleteParam(javax.faces.context.FacesContext context,
                                             java.lang.String newValue,
                                             java.lang.String panelId)

### doEncodeItemBegin

    protected void doEncodeItemBegin(javax.faces.context.ResponseWriter writer,
                                     javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component)
                              throws java.io.IOException

  Overrides:
    `doEncodeItemBegin` in class `DivPanelRenderer`
  Throws:
    `java.io.IOException`

### getStyleClass

    protected java.lang.String getStyleClass(javax.faces.component.UIComponent component)

  Overrides:
    `getStyleClass` in class `TogglePanelItemRenderer`

### doEncodeChildren

    protected void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                                    javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component)
                             throws java.io.IOException

  Overrides:
    `doEncodeChildren` in class `TogglePanelItemRenderer`
  Throws:
    `java.io.IOException`

### doEncodeItemEnd

    protected void doEncodeItemEnd(javax.faces.context.ResponseWriter writer,
                                   javax.faces.context.FacesContext context,
                                   javax.faces.component.UIComponent component)
                            throws java.io.IOException

  Overrides:
    `doEncodeItemEnd` in class `DivPanelRenderer`
  Throws:
    `java.io.IOException`

### writeJavaScript

    protected void writeJavaScript(javax.faces.context.ResponseWriter writer,
                                   javax.faces.context.FacesContext context,
                                   javax.faces.component.UIComponent component)
                            throws java.io.IOException

  Overrides:
    `writeJavaScript` in class `DivPanelRenderer`
  Throws:
    `java.io.IOException`

### getScriptObject

    protected org.ajax4jsf.javascript.JSObject getScriptObject(javax.faces.context.FacesContext context,
                                                               javax.faces.component.UIComponent component)

  Overrides:
    `getScriptObject` in class `TogglePanelItemRenderer`

### getScriptObjectOptions

    protected java.util.Map<java.lang.String,java.lang.Object> getScriptObjectOptions(javax.faces.context.FacesContext context,
                                                                                      javax.faces.component.UIComponent component)

  Overrides:
    `getScriptObjectOptions` in class `TogglePanelItemRenderer`

### getComponentClass

    protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Description copied from class: `RendererBase`
  Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.

  Overrides:
    `getComponentClass` in class `TogglePanelItemRenderer`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.